Server-Update generiert Fehlermeldung und ist nicht möglich

Hallo Martin,

Ich versuche mal die Befehle in code tags rein zu kopieren: dann sollte
man es sehen können, wo sie enden.

sed -i "s/pkg.linuxmuster.net/archive.linuxmuster.net/" /etc/apt/sources.list.d/babo.list

Erläuterung: der Befehl sed sucht in der Datei
/etc/apt/sources.list.d/babo.list nach pkg.linuxmuster.net und ersetzt
es durch archive.linuxmuster.net
Das könntest du also auch ohne Probleme von Hand machen (es geht ja nur
um ca. 2 Zeilen…).
Problem beim Befehl könnte sein, dass die Datei zwar in dem Verzeichnis
liegt, aber nciht babo.list heißt.
Also schau doch mal in das Verzeichnis:

ls /etc/apt/sources.list.d/

wget https://archive.linuxmuster.net/archive.linuxmuster.net.key 5 -O - | apt-key add -

Dieser Befehl holt den key und installiert ihn danach.
Ich mach das immer so:

  1. erst Schlüssel holen:

    wget https://archive.linuxmuster.net/archive.linuxmuster.net.key

  2. Schlüssel aufnehmen

    apt-key add archive.linuxmuster.net.key

Danach kannst du die Paketlisten aktualisieren und dann das System updaten.

LG

Holger

Vielen Dank für eure Hilfe. Ich glaube es hat funktioniert. apt-get update lief problemlos durch und apt-get dist-upgrade generierte folgende Meldung:
11:17/0 server ~ # apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages have been kept back:
linuxmuster-base
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded

Ist der Server jetzt wieder auf dem neusten Stand!
Vielen Dank und liebe Grüße
Martin

Hallo Martin,

Das sagt mir, dass bis auf ein Paket alle upgedatet wurden. Hast Du ein Paket auf “hold” gesetzt?

Gruß Alois

nicht, dass ich wüßte…

Gruß

Martin

Hallo Martin,

aptitude search ~ahold

Sollte gehaltene Pakete anzeigen, wenn aptitude installiert ist.

Ansonsten

apt-get Install aptitude

Und dann

aptitude search ~ahold

Gruß Alois

Hallo Holger,

Diese Infos habe ich hier:
http://docs.linuxmuster.net/de/latest/getting-started/configuration-after-installation/index.html#konfiguration-linuxmuster-net-server
in die Doku aufgenommen.

Gruß

Alois

Hallo Alois,

ich habe jetzt wie in der Konfigurations-Anleitung beschrieben, die Schritte nacheinander durchgeführt. Soweit hat alles geklappt. Es kommen keine Fehlermeldungen mehr. Kann ich jetzt immer wieder den Server mit “sudo apt-get update” und “apt-get dist-upgrade” weiterhin updaten?

Vielen Dank für die Hilfe

Martin

Hallo Martin,

ich habe jetzt wie in der Konfigurations-Anleitung beschrieben, die
Schritte nacheinander durchgeführt. Soweit hat alles geklappt. Es kommen
keine Fehlermeldungen mehr. Kann ich jetzt immer wieder den Server mit
“sudo apt-get update” und “apt-get dist-upgrade” weiterhin updaten?
ja: so mache ich das mit meinen Servern auch.

LH

Holger

Hallo Martin,

bei neueren Ubuntu-Versionen (ich meine ab Version 14.04) reicht ein apt update und ein apt dist-upgrade. Beim 6.2er Server musst Du noch apt-get update und apt-get dist-upgrade durchführen.

Gruß

Alois

Hallo Holger,

das habe ich wie angegeben gemacht, erhalte aber bei apt-get
update die Fehlermeldung

[FEHL] Paketlisten werden gelesen

E: Encountered a section with no Package: header

E: Problem with MergeList
/var/lib/apt/lists/pkg.linuxmuster.net_babo_de

E: Die Paketliste oder die Statusdatei konnte nicht eingelesen
oder geöffnet werden.

VG Jürgen

Hallo Jürgen,

wenn ich das richtig sehe gab es das schon einmal.

Gruß Alois

1 „Gefällt mir“

Hallo Jürgen,

bei dir ist die Paketverwaltung durcheinander.

Bitte schick uns mal den Inhalt aller DAteien die du unter
/etc/apt/sources.list.d/
findest.

Probier auch mal
apt clean
und dann
apt update

LG

Holger

Hallo Holger,

apt clean
und dann
apt update

liefert dieselbe Fehlermeldung.

In /etc/apt/sources.list.d/ liegen

babo.list

deb babo62/
deb babo/
#deb-src babo62/
#deb-src babo/

lmn.list

deb babo62/
deb babo/
#deb-src babo62/
#deb-src babo/

netzint.list

deb precise main

VG Jürgen

Hallo, Jürgen,

ich glaube, das wurde bereits weiter oben beantwortet: Guckst Du hier:
http://docs.linuxmuster.net/de/latest/getting-started/configuration-after-installation/index.html#konfiguration-linuxmuster-net-server
L.G.
Christoph

Hallo Christoph,

genau das hatte ich in meiner ersten Mail ja als bereits
durchgeführt beschrieben :wink: - trotzdem erscheint die
Fehlermeldung.

VG Jürgen

In deinen Dateien steht aber nicht drin, was drin stehen sollte (oder es kam nicht alles aus deiner eMail im Forum an). Das sollte in deiner babo.list / lmn.list stehen:

deb https://archive.linuxmuster.net babo62/
deb https://archive.linuxmuster.net babo/

Dann solltest du entweder babo.list oder lmn.list löschen. Der Inhalt ist gleich und du brauchst es nur einmal.

vG Stephan

Hallo Stephan,

es steht drin, was drin stehen sollte (der Link wurde in der Mail
jeweils verschluckt).

Das Löschen von lmn.list brachte leider auch keine Änderung…

VG Jürgen

Hallo Alois,
vielen Dank - dein Tipp mit

rm /var/lib/apt/lists/* apt-get update

hat den Fehler behoben :-).
VG Jürgen

Besser nicht > sondern |, weil du sonst eine Datei „apt-key“ erzeugst.

Hallo,

>wget https://arc....t.key 5 -O - > apt-key add |

Besser nicht |>| sondern |||, weil du sonst eine Datei „apt-key“ erzeugst.

ich hab es in meinem Post angepaßt: Danke für den HInweis :slight_smile:

LG

Holger